%define oname pycairo

Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.13.2
Release:	%mkrel 1
License:	MPLv1+ and LGPLv2+
Group:		Development/Python
URL:		https://pycairo.readthedocs.io/
Source0:	https://github.com/pygobject/pycairo/releases/download/v%{version}/pycairo-%{version}.tar.gz
BuildRequires:	pkgconfig(cairo)
BuildRequires:	python-devel
BuildRequires:	python3-devel
Requires:	cairo >= 1.12.0
Provides:	%{oname} = %{version}-%{release}

%description
A set of Python bindings for the cairo graphics library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description devel
Development files for %{name}.

%package -n python3-cairo
Summary:	A python3 wrapper for the Cairo libraries
Group:		Development/Python
Requires:	cairo >= 1.12.0
Provides:	py3cairo = %{version}-%{release}

%description -n python3-cairo
A set of Python3 bindings for the cairo graphics library.

%package -n python3-cairo-devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	python3-cairo = %{version}-%{release}
Provides:	py3cairo-devel = %{version}-%{release}

%description -n python3-cairo-devel
Development files for python3-cairo.

%prep
%setup -q -n %{oname}-%{version}

sed -i -e 's,\(libdir.*\)"lib",\1"%{_lib}",g' setup.py

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
  %py3_build
popd

%install
%py2_install

pushd %{py3dir}
  %py3_install
popd

%files
%{python2_sitearch}/cairo/
%{python2_sitearch}/pycairo-%{version}-py%{python2_version}.egg-info

%files devel
%dir %{_includedir}/pycairo/
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc

%files -n python3-cairo
%{python3_sitearch}/cairo/
%{python3_sitearch}/pycairo-%{version}-py%{python3_version}.egg-info

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo/
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc


%changelog
* Tue May 30 2017 wally <wally> 1.13.2-1.mga6
+ Revision: 1105547
- new version 1.13.2
- bump cairo req to 1.12.0

* Fri May 05 2017 wally <wally> 1.13.0-1.mga6
+ Revision: 1099131
- new version 1.13.0
- switch to new fork of pycairo
- update URL, Source and License
- build python3 pkg

* Fri Feb 12 2016 umeabot <umeabot> 1.10.0-16.mga6
+ Revision: 958566
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 tv <tv> 1.10.0-15.mga6
+ Revision: 885719
- split out python3 package (one source = one SRPM)

* Fri Oct 02 2015 tv <tv> 1.10.0-14.mga6
+ Revision: 885704
- fix __init__.py being in src/ (mga#16845)
  (build like FC + use FC patches instead of our)

* Fri Sep 25 2015 wally <wally> 1.10.0-13.mga6
+ Revision: 883623
- rediff waf patch to fix python3 build

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-12.mga5
+ Revision: 744997
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.10.0-11.mga5
+ Revision: 728114
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-10.mga5
+ Revision: 687911
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.10.0-9.mga5
+ Revision: 629730
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.10.0-8.mga5
+ Revision: 628477
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-7.mga4
+ Revision: 522225
- Mageia 4 Mass Rebuild

* Fri Feb 15 2013 fwang <fwang> 1.10.0-6.mga3
+ Revision: 398520
- do not extract archive vebose

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-5.mga3
+ Revision: 378510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 philippem <philippem> 1.10.0-4.mga3
+ Revision: 339068
+ rebuild (emptylog)

* Sat Sep 29 2012 fwang <fwang> 1.10.0-3.mga3
+ Revision: 300323
- update libname
- rebuild for new py 3.3

* Tue Jul 03 2012 kamil <kamil> 1.10.0-2.mga3
+ Revision: 267033
- remove waf dependency for python3 build (rpm macros for python3 version of waf are packaged now in waf-python3)

* Tue Jul 03 2012 kamil <kamil> 1.10.0-1.mga3
+ Revision: 267003
- add waf-python3 to BR
- add P1 pycairo-1.10.0-fix-waf-build.patch
- add support for Python 3

* Wed Aug 24 2011 fwang <fwang> 1.10.0-1.mga2
+ Revision: 135091
- fix linkage
- new version 1.10.0

* Sat Apr 16 2011 ahmad <ahmad> 1.8.10-1.mga1
+ Revision: 86810
- update to 1.8.10, using py2cairo tarball
- bump the cairo required version
- provide py2cairo, this is the branch that supports python 2.x

* Mon Jan 17 2011 pterjan <pterjan> 1.8.8-3.mga1
+ Revision: 20670
- Rebuild for python 2.7

* Thu Jan 13 2011 ahmad <ahmad> 1.8.8-2.mga1
+ Revision: 8417
- imported package python-cairo

